<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIngredientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ingredients', function (Blueprint $table) {
            $table->increments('id');

            $table->string('name')->index();
            $table->text('trans_name')->nullable();

            $table->text('inci')->nullable();
            $table->mediumText('trans_inci')->nullable();

            $table->text('effect')->nullable();
            $table->mediumText('trans_effect')->nullable();

            $table->boolean('active')->default(false);
            $table->unsignedTinyInteger('pos')->nullable()->default(0);


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ingredients');
    }
}
